function onTalk()
	disableMovement()
	walkTo(4904, false, 1.0)
	wait(0.5)
	setFlag("fuckemup", true)
	wait(2)
	playSound ("event:/new_content/game/10_farewell/pico8_flag")
	setFlag("fuckemup", false)
	setFlag("the_fun_part", true)
	wait(1)
	say("aletris_gmck_machine")
end

function onEnd(room, wasSkipped)
	enableMovement()
end